Bug 470654 - beagle daemon crashes while querying evolution-data-server
beagle daemon crashes while querying evolution-data-server
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
10
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-08 07:26 EST by Torsten Rausche
Modified: 2008-12-21 10:46 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 10:46:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log output (2.80 KB, text/plain)
2008-11-08 07:26 EST, Torsten Rausche
no flags Details
beagle is throwing an exception, log 1 (2.07 KB, text/plain)
2008-11-09 06:54 EST, Torsten Rausche
no flags Details
beagle is throwing an exception, log 2 (1.72 KB, text/plain)
2008-11-09 06:54 EST, Torsten Rausche
no flags Details

  None (edit)
Description Torsten Rausche 2008-11-08 07:26:22 EST
Created attachment 322942 [details]
log output

Description of problem:
If the data source EvolutionDataServer is enabled, beagled crashs within minutes.

Version-Release number of selected component (if applicable):
$ rpm -q beagle evolution-data-server mono-core mono-addins evolution-sharp gnome-desktop-sharp gnome-sharp gtk-sharp2

beagle-0.3.8-9.fc10.x86_64
evolution-data-server-2.24.1-2.fc10.x86_64
evolution-data-server-2.24.1-2.fc10.i386
mono-core-2.0.1-12.fc10.x86_64
mono-addins-0.3.1-2.2.fc10.x86_64
evolution-sharp-0.18.0-1.fc10.x86_64
gnome-desktop-sharp-2.24.0-3.fc10.x86_64
gnome-sharp-2.24.0-1.fc10.x86_64
gtk-sharp2-2.12.4-1.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Enable the EvolutionDataServer data source in beagle-settings
2. Start the beagle daemon
3. Wait some minutes
  
Actual results:
beagled crashes with an unhandled exception

Expected results:
no crash
Comment 1 Adel Gadllah 2008-11-08 14:00:37 EST
Does this still happen with evolution-sharp-0.18.1 (http://koji.fedoraproject.org/koji/buildinfo?buildID=68735) (it should have a fix for this)
Comment 2 Adel Gadllah 2008-11-08 14:04:02 EST
OK, seems like gtk-sharp > 2.12.5 is required too
From evolution-sharp's changelog:
"Fix for BG0 #555242. This would need r117424 of gtk-sharp 
or gtk-sharp > 2.12.5." (bug in BGO is the same issue)

Xavier, can we have this patch backported to our package?
Comment 3 Xavier Lamien 2008-11-09 05:22:15 EST
updated to 2.12.5.
let me know if you get into trouble with this new release.
Comment 4 Torsten Rausche 2008-11-09 06:51:51 EST
I have been testing with with evolution-sharp-0.18.1-1 and gtk-sharp2-2.12.5-1 today. The good news are that beagled does not crash anymore. The bad news are that it is throwing an exception. Please take a look at the attached logs.

P.S. gtk-sharp2-2.12.5-1 is only built for F11 yet
Comment 5 Torsten Rausche 2008-11-09 06:54:29 EST
Created attachment 322998 [details]
beagle is throwing an exception, log 1
Comment 6 Torsten Rausche 2008-11-09 06:54:56 EST
Created attachment 322999 [details]
beagle is throwing an exception, log 2
Comment 7 Torsten Rausche 2008-11-09 08:50:03 EST
Never mind the last logs. I think I should have rebooted before restarting beagled.

After a reboot beagled crashes in the same way as without the updated *-sharp packages. Does beagle need a rebuild with the new libs?
Comment 8 Xavier Lamien 2008-11-09 12:38:49 EST
Which libs ?
Comment 9 Torsten Rausche 2008-11-09 13:14:36 EST
(In reply to comment #8)
> Which libs ?

evolution-sharp-0.18.1-1 and gtk-sharp2-2.12.5-1 ... I guessed those are libs, you may call them bindings or something like that. Whatever.
Comment 10 Xavier Lamien 2008-11-09 13:42:49 EST
hmm...beagles should already rebuilt against new gtk-sharp2 libs 2.12.
However, try a rebuild and give your tries. 

You can also check that from koji or by doing a repoquery on beagles.
Comment 11 Torsten Rausche 2008-11-09 16:59:34 EST
Yes, beagle is already built against the gtk-sharp2 2.12 libs and of course a rebuild did not help...

To sum up: nothing has changed with the evolution-sharp and gtk-sharp2 updates installed. The beagle daemon crashs if the e-d-s data source is enabled.
Comment 12 sangu 2008-11-10 05:04:15 EST
duplicate of bug 435049 ?
Comment 13 Torsten Rausche 2008-11-10 06:33:12 EST
(In reply to comment #12)
> duplicate of bug 435049 ?

I don't think so. I can't reproduce bug 435049 in rawhide and even with the e-d-s backend I don't get that "double free or corruption" error mentioned there. Notice that we have evolution-sharp 0.18 in rawhide where bug 435049 should be already fixed.
Comment 14 Adel Gadllah 2008-11-10 08:00:29 EST
(In reply to comment #3)
> updated to 2.12.5.
> let me know if you get into trouble with this new release.

This wont help we need > 2.12.5 (patch got into trunk after the release).
"This would need *r117424* of gtk-sharp or gtk-sharp *>* 2.12.5."
Comment 15 Torsten Rausche 2008-11-10 14:01:10 EST
I just built myself an updated gtk-sharp 2.12.6 RPM and it helps. After installing it and rebooting beagled actually does not crash anymore.

=> Xavier, could you please update gtk-sharp2 to version 2.12.6?

=> You should consider getting evolution-sharp-0.18.1 and gtk-sharp2-2.12.6 into dist-f10 as the e-d-s backend is enabled by default and beagle won't really work. I am not sure if the updates have any side effects. But I could not find any problems with tomboy and f-spot so far.
Comment 16 Xavier Lamien 2008-11-11 04:31:49 EST
there is no 2.12.16 release yet at mono source repo.
i'll check that patch and add it to release 2.12.5, otherwise if you have any good link where i can find this fresh release outside of mono main website, that would be great.
Comment 17 Torsten Rausche 2008-11-11 04:49:07 EST
(In reply to comment #16)
> there is no 2.12.16 release yet at mono source repo.
> i'll check that patch and add it to release 2.12.5, otherwise if you have any
> good link where i can find this fresh release outside of mono main website,
> that would be great.

I downloaded it from

http://ftp.gnome.org/pub/gnome/sources/gtk-sharp/2.12/

which redirects me to

http://ftp.acc.umu.se/pub/gnome/sources/gtk-sharp/2.12/
Comment 18 Xavier Lamien 2008-11-11 06:07:48 EST
thanks.
However, i can't build the release yet due to broken dependency issue.

--> http://koji.fedoraproject.org/koji/taskinfo?taskID=926064

will try on f10 within an hours.
Comment 19 Torsten Rausche 2008-11-11 06:40:47 EST
At least the F10 builds should not make that much trouble. For me it was just taking your 2.12.5 SRPM and a quick and dirty changing of the version and the source tar.bz2. Building with rawhide's current mock and its fedora-rawhide-[x86_64|i386] profiles went without hassle.

http://www.torsten.rausche.net/fedora/testing/gtk-sharp2-2.12.6-0.1.fc10.src.rpm
Comment 20 Bug Zapper 2008-11-26 00:02:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Torsten Rausche 2008-12-10 09:56:53 EST
@Xavier:

Ping.

Gtk-sharp2 2.12.6 seems to build for dist-f11 now. I tried a scratch build in Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=991016

Could you please update the F-10 and devel branches, so that this bug can be closed?
Comment 22 Torsten Rausche 2008-12-21 10:46:28 EST
This bug is fixed in https://admin.fedoraproject.org/updates/gtk-sharp2-2.12.7-1.fc10.1

Note You need to log in before you can comment on or make changes to this bug.